Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSVideoCapturerOSX Class Reference

`#import <CSVideoCapturerOSX.h>`

Inherits NSObject, and <CSVideoSource>.

## Instance Methods
(void) | - openVideoCaptureDevice:withFormat:withCompletion:
(void) | - closeVideoCaptureDeviceWithCompletion:
(BOOL) | - isVirtualBackgroundSupported
(BOOL) | - setVirtualBackgroundMode:
(CSVirtualBackgroundMode) | - getVirtualBackgroundMode
(BOOL) | - setVirtualBackgroundBlurSize:
(NSUInteger) | - getVirtualBackgroundBlurSize
(void) | - virtualBackgroundLoadFile:withCompletion:
Instance Methods inherited from <CSVideoSource>
(void) | - setVideoSink:

## Properties
id< CSVideoSink > | videoSink
id< CSVideoSink > | localVideoSink
id< CSVideoCapturerDelegate > | delegate
NSArray * | availableDevices
| NSArray containing instances of CSVideoCaptureDevice. More...
id< CSVirtualBackgroundListener > | virtualBackgroundListener

## Method Documentation

- (void) closeVideoCaptureDeviceWithCompletion: |  | (dispatch_block_t) | completion |

- (NSUInteger) getVirtualBackgroundBlurSize |  |  |

- (CSVirtualBackgroundMode) getVirtualBackgroundMode |  |  |

- (BOOL) isVirtualBackgroundSupported |  |  |

- (void) openVideoCaptureDevice: |  | (CSVideoCaptureDevice *) | videoCaptureDevice
withFormat: |  | (CSVideoCaptureFormat *) | videoCaptureFormat
withCompletion: |  | (void(^)(NSError *error)) | completion

- (BOOL) setVirtualBackgroundBlurSize: |  | (NSUInteger) | size |

- (BOOL) setVirtualBackgroundMode: |  | (CSVirtualBackgroundMode) | mode |

- (void) virtualBackgroundLoadFile: |  | (NSString *) | path
withCompletion: |  | (void(^)(CSVirtualBackgroundFileLoadResult result)) | completion

## Property Documentation

- (NSArray*) availableDevices
| read nonatomic assign

NSArray containing instances of CSVideoCaptureDevice.

This property is observable and will be updated when a video capture device is either connected or disconnected.

- (id<CSVideoCapturerDelegate>) delegate
| read write nonatomic weak

- (id<CSVideoSink>) localVideoSink
| read write atomic strong

- (id<CSVideoSink>) videoSink
| read write atomic strong

- (id<CSVirtualBackgroundListener>) virtualBackgroundListener
| read write atomic strong

The documentation for this class was generated from the following file:

- CSVideoCapturerOSX.h